services:
  mssql:
    container_name: ${CONTAINER_NAME}
    image: mcr.microsoft.com/mssql/server:2022-latest
    restart: unless-stopped
    networks:
      - icontainer-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:1433
    environment:
      - ACCEPT_EULA=Y
      - MSSQL_SA_PASSWORD=${MSSQL_SA_PASSWORD}
      - MSSQL_PID=${MSSQL_PID}
    volumes:
      - ./data:/var/opt/mssql/data
    labels:
      createdBy: "icontainer"
networks:  
  icontainer-network:
    external: true